Arc
A circular arc.
Table of Contents
Methods {#methods}
Name | Signature |
---|---|
Copy | object.Copy() |
Delete | object.Delete() |
GetBoundingBox | object.GetBoundingBox() |
Highlight | object.Highlight(Flag) |
IntersectWith | object.IntersectWith(Entity, ExtendArg) |
Mirror | object.Mirror(Point1, Point2) |
Mirror3D | object.Mirror3D(Point1, Point2, Point3) |
Move | object.Move(FromPoint, ToPoint) |
Rotate | object.Rotate(BasePoint, RotationAngle) |
Rotate3D | object.Rotate3D(Point1, Point2, RotationAngle) |
ScaleEntity | object.ScaleEntity(BasePoint, ScaleFactor) |
TransformBy | object.TransformBy(TransformationMatrix) |
Update | object.Update() |
Copy
Signaturejavascript
object.Copy()
Description
Creates an independent copy of the current object.
Parameters- None
- A new object.
javascript
// Create a copy of the object
var newPolyline = object.Copy();
Delete
Signaturejavascript
object.Delete()
Description
Deletes the object from the drawing.
Parameters- None
- No return value.
javascript
// Delete the object
object.Delete();
Properties {#properties}
Nome | Firma |
---|---|
Application | object.Application |
Area | object.Area |
Center | object.Center |
Circumference | object.Circumference |
Diameter | object.Diameter |
Document | object.Document |
Layer | object.Layer |
LinetypeScale | object.LinetypeScale |
Lineweight | object.Lineweight |
Material | object.Material |
Normal | object.Normal |
ObjectID | object.ObjectID |
ObjectName | object.ObjectName |
TrueColor | object.TrueColor |
Visible | object.Visible |
Events {#events}
Name | Description |
---|---|
Modified | Fired when the object is modified. |
Modified
DescriptionThis event is triggered when the object is modified in any way, including adding or removing vertices, or changing its properties.
Event Handler Syntaxjavascript
function onModified(sender, args) {
// Code to execute when the object is modified
}
object.Modified.add(onModified);
Usage Examples {#usage-examples}
Creating a Circle
javascript
// Create a new Circle
function DrawCircleInAppCAD()
var cadDoc = acadApp.ActiveDocument;
//Declaration of a variable to put the center point of a circle
var centerPoint[];
//Set the center point
centerPoint[0] = 5; //X-coordinate
centerPoint[1] = 10; //Y-coordinate
centerPoint[2] = 2; //Z-coordinate
//Declaration of a variable to contain the radius and Radius setting
var radius = 2; //radus
//Set the beginning and end angles of the arc.
var startAngle = cells(2,5) * (3.14159265358979 / 180); //Convert angles to radians
var endAngle = cells(2,6) * (3.14159265358979 / 180); //Convert angles to radians
//Create arc
var arcObj = cadDoc.ModelSpace.AddArc(centerPoint, radius, startAngle, endAngle);
//Display of object range
cadDoc.Application.ZoomExtents();
//redraw
cadDoc.Regen (acActiveViewport);
//Show message
Console.Debug ("An arc was drawn!");
}
Transformations
javascript
// Rotate the object around the Z axis
var basePoint = [0, 0, 0];
var rotationAngle = 45; // degrees
object.Rotate(basePoint, rotationAngle);
// Move the object
var fromPoint = [0, 0, 0];
var toPoint = [10, 10, 10];
object.Move(fromPoint, toPoint);